4Suite™ API Documentation

# ► Module Ft.Rdf.Parsers.Versa.NamedExpressions

Versa variables WWW: http://4suite.org/4RDF e-mail: support@4suite.org
Copyright 2001-2002 Fourthought Inc, USA.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: FunctionCall, FunctionCall1, FunctionCall2, FunctionCall3, FunctionCallN, VariableReference |  |  |  | Functions: FunctionCallExprConstructor |  |  |  | Fields: OBJECT_TYPE_RESOURCE, OBJECT_TYPE_UNKNOWN, RDF_MS_BASE, RDF_SCHEMA_BASE, g_extFunctions

## Classes

class FunctionCall

### Methods

__getinitargs__(self)
__getstate__(self)
__init__(self, name, key, args)
__repr__(self)
__str__(self)
error(self, *args)
evaluate(self, context)
Call the function
pprint(self, indent='')

class FunctionCall1(FunctionCall)

### Methods

__init__(self, name, key, args)
evaluate(self, context)

### Methods inherited from class FunctionCall

__getinitargs__, __getstate__, __repr__, __str__, error, pprint

class FunctionCall2(FunctionCall)

### Methods

__init__(self, name, key, args)
evaluate(self, context)

### Methods inherited from class FunctionCall

__getinitargs__, __getstate__, __repr__, __str__, error, pprint

class FunctionCall3(FunctionCall)

### Methods

__init__(self, name, key, args)
evaluate(self, context)

### Methods inherited from class FunctionCall

__getinitargs__, __getstate__, __repr__, __str__, error, pprint

class FunctionCallN(FunctionCall)

### Methods

__init__(self, name, key, args)
evaluate(self, context)

### Methods inherited from class FunctionCall

__getinitargs__, __getstate__, __repr__, __str__, error, pprint

class VariableReference
A variable reference

### Methods

__init__(self, expr)
evaluate(self, con)

## Functions

FunctionCallExprConstructor(name, args=None)

## Fields

OBJECT_TYPE_RESOURCE = 'R'
OBJECT_TYPE_UNKNOWN = '?'
RDF_MS_BASE = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
RDF_SCHEMA_BASE = 'http://www.w3.org/2000/01/rdf-schema#'
g_extFunctions = {}